<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.models.statistical"
   name="%pluginName"
   version="3.0.1"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.model.statistical.plugin.StatisticalPlugin$Implementation">

   <runtime>
      <library name="st_model.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.hyades.models.hierarchy" export="true"/>
   </requires>


   <extension
         point="org.eclipse.hyades.models.hierarchy.fragment_loaders_factory">
      <loadersFactory
            class="org.eclipse.hyades.loaders.statistical.StatisticalXMLLoadersFactory">
      </loadersFactory>
   </extension>
   <extension
         point="org.eclipse.hyades.models.hierarchy.lookup_service">
      <lookupService
            class="org.eclipse.hyades.loaders.statistical.StatisticalLookupService">
      </lookupService>
   </extension>
   <extension
         point="org.eclipse.emf.ecore.generated_package">
      <package
            uri="http://www.eclipse.org/hyades/models/statistical.xmi"
            class="org.eclipse.hyades.model.statistical.StatisticalPackage">
      </package>
   </extension>

</plugin>
